﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xunit;

using DesignPatternStudy.Learn;
using DesignPatternStudy.Learn.StrategyPattern.NoPattern;

namespace DesignPatternStudy.Learn.StrategyPattern
{
    public class NoStrategyPatternTest:IDisposable
    {
        NoStrategyPattern noStrategy;

        public NoStrategyPatternTest()
        {
            noStrategy = new NoStrategyPattern();
        }

        [Fact]
        public void GetPriceTest()
        {
            var price1 = noStrategy.GetPrice(100m,1);
            Assert.Equal(90, price1);
        }

        public void Dispose()
        {
             
        }
    }
}
